ALLEGRO_AUDIO_DEPTH(3)

NAME

ALLEGRO_AUDIO_DEPTH - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    enum ALLEGRO_AUDIO_DEPTH

DESCRIPTION

Sample depth and type as well as signedness. Mixers only use 32-bit signed float (-1..+1), or 16-bit signed integers. Signedness is determined by an "unsigned" bit-flag applied to the depth value.

•   ALLEGRO_AUDIO_DEPTH_INT8

•   ALLEGRO_AUDIO_DEPTH_INT16

•   ALLEGRO_AUDIO_DEPTH_INT24

•   ALLEGRO_AUDIO_DEPTH_FLOAT32

•   ALLEGRO_AUDIO_DEPTH_UNSIGNED

For convenience:

•   ALLEGRO_AUDIO_DEPTH_UINT8

•   ALLEGRO_AUDIO_DEPTH_UINT16

•   ALLEGRO_AUDIO_DEPTH_UINT24